Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Dec 03 2017 05:53
    @PeterWAWood banned @matrixbot
  • Sep 28 2016 12:19
    @PeterWAWood banned @TimeSeriesLord
  • Aug 13 2016 03:23
    @PeterWAWood banned @Vexercizer
OneArb
@OneArb

The short version

sudo apt-get install libc6:i386 libcurl3:i386 The following packages will be REMOVED: curl <my Mono app> libcurl4 The following NEW packages will be installed: libcurl3:i386 0 upgraded, 1 newly installed, 3 to remove and 1 not upgraded.
The long version:

sudo apt-get install libc6:i386 libcurl3:i386 Reading package lists... Done Building dependency tree Reading state information... Done libc6:i386 is already the newest version (2.27-3ubuntu1). The following packages were automatically installed and are no longer required: gtk2-engines:i386 gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386 gvfs:i386 gvfs-libs:i386 ibus-gtk:i386 libaio1:i386 libao4:i386 libasound2:i386 libasound2-plugins:i386 libasyncns0:i386 libatk1.0-0:i386 libaudio2:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libcaca0:i386 libcairo2:i386 libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcapi20-3:i386 libcroco3:i386 libcups2:i386 libcupsimage2:i386 libdatrie1:i386 libdbus-1-3:i386 libdbus-glib-1-2:i386 libegl-mesa0:i386 libegl1:i386 libexif12:i386 libflac8:i386 libfluidsynth1:i386 libfontconfig1:i386 libfreetype6:i386 libgail-common:i386 libgail18:i386 libgbm1:i386 libgck-1-0:i386 libgcr-base-3-1:i386 libgd3:i386 libgdk-pixbuf2.0-0:i386 libgettextpo0:i386 libgl1-mesa-glx:i386 libglib2.0-0:i386 libglu1-mesa:i386 libgphoto2-6:i386 libgphoto2-port12:i386 libgraphite2-3:i386 libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386 libgtk2.0-0:i386 libharfbuzz0b:i386 libibus-1.0-5:i386 libice6:i386 libicu60:i386 libieee1284-3:i386 libjack-jackd2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 liblcms2-2:i386 libltdl7:i386 libmad0:i386 libmikmod3:i386 libmng2:i386 libmpg123-0:i386 libnspr4:i386 libnss3:i386 libodbc1:i386 libogg0:i386 libopenal1:i386 liborc-0.4-0:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpixman-1-0:i386 libpng16-16:i386 libpulse-mainloop-glib0:i386 libpulse0:i386 libpulsedsp:i386 libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386 libqt4-network:i386 libqt4-opengl:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386 libqt4-xml libqt4-xmlpatterns:i386 libqtcore4:i386 libqtcore4 libqtdbus4 libqtdbus4:i386 libqtgui4:i386 libqtwebkit4:i386 libreadline7:i386 librsvg2-2:i386 librsvg2-common:i386 libsamplerate0:i386 libsane1:i386 libsdl-image1.2:i386 libsdl-mixer1.2:i386 libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libsdl1.2debian:i386 libsdl2-2.0-0:i386 libsecret-1-0:i386 libslang2:i386 libsm6:i386 libsndfile1:i386 libsndio6.1:i386 libspeexdsp1:i386 libstdc++5:i386 libtcl8.6 libtdb1:i386 libthai0:i386 libtiff5:i386 libusb-1.0-0:i386 libvorbis0a:i386 libvorbisenc2:i386 libvorbisfile3:i386 libwayland-cursor0:i386 libwayland-egl1-mesa:i386 libwebp6:i386 libwrap0:i386 libxaw7:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcb-xfixes0:i386 libxcomposite1:i386 libxcursor1:i386 libxi6:i386 libxinerama1:i386 libxkbcommon0:i386 libxml2:i386 libxmu6:i386 libxpm4:i386 libxrandr2:i386 libxrender1:i386 libxslt1.1:i386 libxss1:i386 libxt6:i386 libxtst6:i386 odbcinst odbcinst1debian2:i386 odbcinst1debian2 qdbus qtchooser qtcore4-l10n xaw3dg:i386 Use 'sudo apt autoremove' to remove them. The following packages will be REMOVED: curl eddie-ui libcurl4 The following NEW packages will be installed: libcurl3:i386 0 upgraded, 1 newly installed, 3 to remove and 1 not upgraded. Need to get 0 B/238 kB of archives. After this operation, 8.720 kB disk space will be freed. Do you want to continue? [Y/n] y (Reading database ... 310715 files and directories currently installed.) Removing <my Mono app> ... Removing curl (7.58.0-2ubuntu3.5) ... Removing libcurl4:amd64 (7.58.0-2ubuntu3.5) ... Selecting previously unselected package libcurl3:i386.

OneArb
@OneArb
@rebolek How do I make libcurl4:amd64 and libcurl3:i386 co-exist?
OneArb
@OneArb
I found the following Ubuntu bugreport :
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1754294
I'll see if I can the workaround work
Boleslav Březovský
@rebolek
@OneArb are you on Debian or on Ubuntu?
OneArb
@OneArb
@rebolek I m not removing the 64-bit package, the installer does
Boleslav Březovský
@rebolek
Because the docs are wrong in case of Ubuntu, Ubuntu needs libcurl4:i386
OneArb
@OneArb
I am on Mint
Boleslav Březovský
@rebolek
ok, so it's Ubuntu based. Try 32bit version of libcurl4 instead of libcurl3
Vladimir Vasilyev
@9214
I install Red on Mint following download instructions just fine, without any libcurl4 hacks.
OneArb
@OneArb
@rebolek Where should I report this so the download page is fixed?
@9214 Would it be because none of your applications need the amd64 version of libcurl?
Boleslav Březovský
@rebolek
@OneArb I guess that trying it with fresh system (VM probably) and documenting steps needed to run Red in an issue would be best.
Gabriele Santilli
@giesse
@OneArb no, amd64 and i386 do not conflict. However, curl3 and curl4 do conflict. So if your app needs curl4 and you try to install curl3, the app is removed.
OneArb
@OneArb

@rebolek
sudo apt-get install libc6:i386 libcurl4:i386

works perfect!
Each package was disinstalling the libcurl dependency from the other package.

@giesse Thanks for the tip. What can be done to get the proper installation procedure to make it on https://www.red-lang.org/p/download.html
Boleslav Březovský
@rebolek
@OneArb glad it works now!
Vladimir Vasilyev
@9214
I handed it over to the team, thanks for digging that up.
OneArb
@OneArb
Great! @9214
FLuX LoOP
@x8x
Anyone has a clear idea when is libucrl3 vs libcurl4 that is required on the various distro/version ?
OneArb
@OneArb
@x8x I was able to compile Red with both versions of the library.
The issue was with other applications requiring libcurl4. That may be the tipping point.
FLuX LoOP
@x8x
Thanks @OneArb !
OneArb
@OneArb
@x8x Welcome!
amreus
@amreus
Is reading from stdin supported at this time? My searches say no. Will that come with 0.7.0?
Vladimir Vasilyev
@9214
@amreus yes, 0.7.0.
FLuX LoOP
@x8x

@amreus Thought, this works:

  call/input/output {cat} {hello} o: "" o
;   "hello"

which does something like this in a shell printf hello | cat.

nedzadarek
@nedzadarek
Is there a way to know a current input position in a parse input without using set-word! (e.g. parse [a b c] ['a current-position: ] current-position; [b c])?
amreus
@amreus
@9214 & @x8x Thanks.
Vladimir Vasilyev
@9214
@nedzadarek use callback function.
dsgeyser
@dsgeyser
On win 8 pro. When trying to compile Red GUI console, no final console window. (red-064 stable)
Vladimir Vasilyev
@9214
@dsgeyser try with nightly build instead.
dsgeyser
@dsgeyser
@9214 Will do. Thanks
nedzadarek
@nedzadarek

@9214 right, something like this:

parse/trace [a 42 3.14] [(probe iin) 'a (probe iin) integer! (probe iin) float! (probe iin) ] function [f m r input1 s /extern iin] [iin: input1]
; [a 42 3.14]
; [42 3.14]
; [3.14]
; []

Thank you.

dsgeyser
@dsgeyser
@9214 Tried red-01dec18-1e0d5ec2. Still doing the same thing.
In red folder...
Vladimir Vasilyev
@9214
@qtxie :point_up: could you please take a look? And can anyone with Win8 at hand check this?
dsgeyser
@dsgeyser
Ran it as Administrator also. Still no luck.
dsgeyser
@dsgeyser
Rebol/View works just fine. Win 8 Pro 64-bit OS.
Vladimir Vasilyev
@9214
Rebol has nothing to do with it.
OneArb
@OneArb
Linux: Error running the sample programs
*** Script Error: view has no value *** Where: catch *** Stack:
Vladimir Vasilyev
@9214
@OneArb GTK backend is TBD and is not included in the master branch.
OneArb
@OneArb
I am going to Wine about it :)
"master branch" meaning there is some ways to test some ongoing dev? @9214
Vladimir Vasilyev
@9214
@OneArb yes, check out GTK branch.
OneArb
@OneArb
@9214 Thanks
Qingtian
@qtxie
@dsgeyser Can you compile and run any other GUI apps successfully? Like this one: https://github.com/red/red/blob/master/tests/vid.red
Did you compile the Red GUI console from source code?
viayuve
@viayuve
Good morning everyone. I need small help on how to connect with Microsoft sql database. Currently what I am doing with sqlite is use sqlite toolkit is there any thing that I can use similar with Microsoft sql database
Boleslav Březovský
@rebolek
Hi @viayuve
viayuve
@viayuve
Hello bolek
sorry @rebolek